glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::MenuLinkIter Class Reference

MenuLinkIter - A menu link iterator. More...

`#include <giomm/menulinkiter.h>`

Inheritance diagram for Gio::MenuLinkIter:
[legend]

## Public Member Functions

virtual | ~MenuLinkIter ()
GMenuLinkIter* | gobj ()
| Provides access to the underlying C GObject.
const GMenuLinkIter* | gobj () const
| Provides access to the underlying C GObject.
GMenuLinkIter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_name () const
| Gets the name of the link at the current iterator position.
bool | get_next (Glib::ustring& out_link, Glib::RefPtr< MenuModel >& value)
| This function combines g_menu_link_iter_next() with g_menu_link_iter_get_name() and g_menu_link_iter_get_value().
Glib::RefPtr< MenuModel > | get_value ()
| Gets the linked MenuModel at the current iterator position.
Glib::RefPtr< const MenuModel > | get_value () const
| Gets the linked MenuModel at the current iterator position.
bool | next ()
| Attempts to advance the iterator to the next (possibly first) link.
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| MenuLinkIter ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::MenuLinkIter > | wrap (GMenuLinkIter* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Additional Inherited Members

Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

MenuLinkIter - A menu link iterator.

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::MenuLinkIter::~MenuLinkIter | ( |  | ) |

virtual

Gio::MenuLinkIter::MenuLinkIter | ( |  | ) |

protected

## Member Function Documentation

Glib::ustring Gio::MenuLinkIter::get_name | ( |  | ) | const

Gets the name of the link at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns
  The type of the link.

bool Gio::MenuLinkIter::get_next | ( | Glib::ustring& | out_link,
|  | Glib::RefPtr< MenuModel >& | value
| ) |  |

This function combines g_menu_link_iter_next() with g_menu_link_iter_get_name() and g_menu_link_iter_get_value().

First the iterator is advanced to the next (possibly first) link. If that fails, then `false` is returned and there are no other effects.

If successful, out_link and value are set to the name and MenuModel of the link that has just been advanced to. At this point, g_menu_link_iter_get_name() and g_menu_link_iter_get_value() will return the same values again.

The value returned in out_link remains valid for as long as the iterator remains at the current position. The value returned in value must be unreffed using Glib::object_unref() when it is no longer in use.

Since glibmm 2.32:

Parameters

  out_link | The name of the link.
  value | The linked MenuModel.

Returns
  `true` on success, or `false` if there is no additional link.

static GType Gio::MenuLinkIter::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

Glib::RefPtr<MenuModel> Gio::MenuLinkIter::get_value | ( |  | ) |

Gets the linked MenuModel at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns
  The MenuModel that is linked to.

Glib::RefPtr<const MenuModel> Gio::MenuLinkIter::get_value | ( |  | ) | const

Gets the linked MenuModel at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns
  The MenuModel that is linked to.

GMenuLinkIter* Gio::MenuLinkIter::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GMenuLinkIter* Gio::MenuLinkIter::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GMenuLinkIter* Gio::MenuLinkIter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gio::MenuLinkIter::next | ( |  | ) |

Attempts to advance the iterator to the next (possibly first) link.

`true` is returned on success, or `false` if there are no more links.

You must call this function when you first acquire the iterator to advance it to the first link (and determine if the first link exists at all).

Since glibmm 2.32:

Returns
  `true` on success, or `false` when there are no more links.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::MenuLinkIter > wrap | ( | GMenuLinkIter * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.